.common_conditions: &common_conditions
  state: opened
  ruby: |
    can_add_default_group_and_stage?
.common_actions: &common_actions
  labels:
    - "group::environment automation"
    - "devops::gitlab dedicated"

resource_rules:
  issues:
    rules:
      - name: Add ~"group::environment automation", ~"devops::gitlab dedicated" to open issues
        conditions:
          <<: *common_conditions
        actions:
          <<: *common_actions

  merge_requests:
    rules:
      - name: Add ~"group::environment automation", ~"devops::gitlab dedicated" to open merge requests
        conditions:
          <<: *common_conditions
        actions:
          <<: *common_actions
